summaryrefslogtreecommitdiff
path: root/kbproto/autogen.sh
diff options
context:
space:
mode:
authorKeith Packard <keithp@keithp.com>2010-04-06 14:17:41 -0700
committerKeith Packard <keithp@keithp.com>2010-04-06 14:17:41 -0700
commitbf620121726e779d372d81bb55d3a2e30169ed99 (patch)
treeb363a2f44a34e5927c3ce7f3a14b338afc6c244c /kbproto/autogen.sh
parent479f4b20ddf3bdb07999f5c18b355e8aa90cd082 (diff)
parent734105f5de0af632a2424c296395951e3bf4f691 (diff)
Merge remote branch 'kbproto/master'
Diffstat (limited to 'kbproto/autogen.sh')
-rwxr-xr-xkbproto/autogen.sh12
1 files changed, 12 insertions, 0 deletions
diff --git a/kbproto/autogen.sh b/kbproto/autogen.sh
new file mode 100755
index 0000000..904cd67
--- /dev/null
+++ b/kbproto/autogen.sh
@@ -0,0 +1,12 @@
+#! /bin/sh
+
+srcdir=`dirname $0`
+test -z "$srcdir" && srcdir=.
+
+ORIGDIR=`pwd`
+cd $srcdir
+
+autoreconf -v --install || exit 1
+cd $ORIGDIR || exit $?
+
+$srcdir/configure --enable-maintainer-mode "$@"